Skip to content
Skip to main content
GET
https://api.us.nylas.com/v3/metrics/tracking

Return engagement by domain or sender

Returns open and click counts and rates grouped by sending domain or sender address. Use it to compare engagement across your domains and Agent Accounts. Rows are sorted by the number of messages sent with open tracking by default.

NYLAS API KEY

Parameters

Query parameters

group_bystring

What to group by. agent_account groups by the sender email address.

sending_domainagent_account
Default: "sending_domain"
sortstring

The sort order, as <key>:<asc|desc>. The key is one of key, tracked_opens, tracked_links, open_rate, or click_rate.

Default: "tracked_opens:desc"
Example: "open_rate:desc"
limitinteger

The maximum number of rows to return. When there are more groups, the rest are combined into one final row with the key (others).

Default: 25
startstring<date>

The first day of the window, as a UTC date in YYYY-MM-DD format. Defaults to six days before end, so the default window covers 7 days. A window can cover up to 365 days.

Example: "2026-10-01"
endstring<date>

The last day of the window, as a UTC date in YYYY-MM-DD format. Defaults to today. Today is included as a partial day.

Example: "2026-10-30"
sending_domainstring

Return only data for messages sent from this domain.

Example: "mail.example.com"

Responses

request_idstring

The request ID.

dataobject
GEThttps://api.us.nylas.com/v3/metrics/tracking?group_by=sending_domain&sort=tracked_opens%3Adesc&limit=25&start=2026-10-01&end=2026-10-30&sending_domain=mail.example.com

Find your API key in the Nylas Dashboard under API Keys in your application settings.